Package be.fgov.ehealth.rn.commons.business.v1

# Class InformationSupplierType

java.lang.Object
be.fgov.ehealth.rn.commons.business.v1.InformationSupplierType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class InformationSupplierType extends Object implements Serializable
Information block for supplier of a service

Java class for InformationSupplierType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InformationSupplierType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Ticket" type="{urn:be:fgov:ehealth:rn:commons:business:v1}TicketType" minOccurs="0"/>
             <element name="TimestampReceive" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="TimestampReply" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="SupplierIdentification" type="{urn:be:fgov:ehealth:rn:commons:business:v1}OrganizationIdentificationType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InformationSupplierType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OrganizationIdentificationType`
  `getSupplierIdentification()`
  Gets the value of the supplierIdentification property.
  `String`
  `getTicket()`
  UUID generated by Customer or Supplier
  `Instant`
  `getTimestampReceive()`
  Time of request
  `Instant`
  `getTimestampReply()`
  Time of request
  `void`
  `setSupplierIdentification(OrganizationIdentificationType value)`
  Sets the value of the supplierIdentification property.
  `void`
  `setTicket(String value)`
  Sets the value of the ticket property.
  `void`
  `setTimestampReceive(Instant value)`
  Sets the value of the timestampReceive property.
  `void`
  `setTimestampReply(Instant value)`
  Sets the value of the timestampReply property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InformationSupplierType

    public InformationSupplierType()

- ## Method Details

  - ### getTicket

    public String getTicket()
    UUID generated by Customer or Supplier
    Returns:
      possible object is `String`

  - ### setTicket

    public void setTicket(String value)
    Sets the value of the ticket property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTicket()`

  - ### getTimestampReceive

    public Instant getTimestampReceive()
    Time of request
    Returns:
      possible object is `String`

  - ### setTimestampReceive

    public void setTimestampReceive(Instant value)
    Sets the value of the timestampReceive property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTimestampReceive()`

  - ### getTimestampReply

    public Instant getTimestampReply()
    Time of request
    Returns:
      possible object is `String`

  - ### setTimestampReply

    public void setTimestampReply(Instant value)
    Sets the value of the timestampReply property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTimestampReply()`

  - ### getSupplierIdentification

    public OrganizationIdentificationType getSupplierIdentification()
    Gets the value of the supplierIdentification property.
    Returns:
      possible object is `OrganizationIdentificationType`

  - ### setSupplierIdentification

    public void setSupplierIdentification(OrganizationIdentificationType value)
    Sets the value of the supplierIdentification property.
    Parameters:
      `value` - allowed object is `OrganizationIdentificationType`